Package org.apache.sling.scripting.sightly.impl.html

## Class MarkupUtils

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.MarkupUtils

    public class MarkupUtils
    extends Object

Utility methods related to markup

### Constructor Summary

Constructors
`MarkupUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isSensitiveAttribute​(String name)` Attributes which should not be generated by Sightly

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkupUtils

    public MarkupUtils()

### Method Detail

#### isSensitiveAttribute

    public static boolean isSensitiveAttribute​(String name)

Attributes which should not be generated by Sightly

Parameters:
  `name` - the name of the attribute
Returns:
  if the attribute is sensitive or not